Welcome to mirror list, hosted at ThFree Co, Russian Federation.

cygwin.com/git/newlib-cygwin.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'winsup/cygwin/rmsym')
-rwxr-xr-xwinsup/cygwin/rmsym11
1 files changed, 11 insertions, 0 deletions
diff --git a/winsup/cygwin/rmsym b/winsup/cygwin/rmsym
new file mode 100755
index 000000000..685802684
--- /dev/null
+++ b/winsup/cygwin/rmsym
@@ -0,0 +1,11 @@
+#!/bin/sh
+lib=$1; shift
+nm=$1; shift
+ar=$1; shift
+ranlib=$1; shift
+grepit=`echo $* | sed 's/ /|__imp__/g'`
+[ -n "$grepit" ] && grepit="__imp__$grepit"
+objs=`$nm $lib | awk -F: '/^d[0-9]*.o:/ {obj=$1} '"/$grepit/"'{print obj}'`
+[ -n "$objs" ] || exit 1
+$ar d $lib $objs
+$ranlib $lib